Bug 2966 - Мертвый завис при поднятии usb или eth.
: Мертвый завис при поднятии usb или eth.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-up)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2003-09-10 19:03 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-10 19:03:47
Повисает при загрузке. Или если отключить поднятие usb и сети, при попытки их 
поднять руками (service ... start). Реагирует только на резет. 
Железо: 
00:00.0 Host bridge: VIA Technologies, Inc. VT8601 [Apollo ProMedia] (rev 05) 
00:01.0 PCI bridge: VIA Technologies, Inc. VT8601 [Apollo ProMedia AGP] 
00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 
40) 
00:04.1 IDE interface: VIA Technologies, Inc. VT82C586/B/686A/B PIPC Bus 
Master IDE (rev 06) 
00:04.2 USB Controller: VIA Technologies, Inc. USB (rev 16) 
00:04.3 USB Controller: VIA Technologies, Inc. USB (rev 16) 
00:04.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 
40) 
00:04.5 Multimedia audio controller: VIA Technologies, Inc. VT82C686 AC97 
Audio Controller (rev 50) 
00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd. 
RTL-8139/8139C/8139C+ (rev 10) 
01:00.0 VGA compatible controller: Trident Microsystems CyberBlade/i1 (rev 6a)
------- Comment #1 From 2003-09-10 19:18:32 -------
На какой версии ядра это происходит ?
Какие параметры ядру передаются (cat /proc/cmdline)?
------- Comment #2 From 2003-09-10 19:46:43 -------
kernel-image-std-up-2.4.22-alt2 
 
image=/boot/vmlinuz-2.4.22-std-up-alt2 
        label=2422-std-up-2 
        root=/dev/hda6 
        read-write 
        optional 
        vga=788 
        append=" fbprogress=/dev/tty10" 
        initrd=/boot/initrd-2.4.22-std-up-alt2.img 
 
------- Comment #3 From 2003-09-10 19:50:14 -------
Зависает ли поднятие сети или USB, если добавлять опции ядру:
acpi=off
nolapic
noapic
?
------- Comment #4 From 2003-09-11 11:55:25 -------
acpi=off - не зависает 
nolapic - зависает 
noapic - зависает 
все три опции - независает 
------- Comment #5 From 2003-09-11 21:20:24 -------
Сергей, есть идеи, как можно отключить инициализацию ACPI в ядре специально для
VT82C586 ?
------- Comment #6 From 2003-09-11 21:25:41 -------
2vasy:
если не трудно:
cat /proc/interrupts при загруженом ядре и включенном ACPI 
и 
lspcidrake -v 

можно аттачами к этой ошибке.
------- Comment #7 From 2003-09-12 12:31:10 -------
cat /proc/interrupts 
           CPU0        
  0:      15545          XT-PIC  timer 
  1:        220          XT-PIC  keyboard 
  2:          0          XT-PIC  cascade 
  8:          1          XT-PIC  rtc 
  9:          0          XT-PIC  acpi 
 10:          0          XT-PIC  VIA686A 
 12:       3470          XT-PIC  PS/2 Mouse 
 14:      12608          XT-PIC  ide0 
NMI:          0  
LOC:      15505  
ERR:          0 
MIS:          0 
 
 
vasy@vasy ~ $ sudo lspcidrake -v 
unknown         : VIA Technologies|VT8601 [BRIDGE_HOST] (vendor:1106 
device:0601 subv:1043 subd:806e) 
unknown         : VIA Technologies|VT8601 [BRIDGE_PCI] (vendor:1106 
device:8601) 
unknown         : VIA Technologies|VT82C686 [Apollo Super] [BRIDGE_ISA] 
(vendor:1106 device:0686 subv:1043 subd:806e) 
unknown         : VIA Technologies|VT82C586 IDE [Apollo] [STORAGE_IDE] 
(vendor:1106 device:0571) 
usb-uhci        : VIA Technologies|VT82C586B USB [SERIAL_USB] (vendor:1106 
device:3038 subv:0925 subd:1234) 
usb-uhci        : VIA Technologies|VT82C586B USB [SERIAL_USB] (vendor:1106 
device:3038 subv:0925 subd:1234) 
unknown         : VIA Technologies|VT82C686 [Apollo Super ACPI] [BRIDGE_HOST] 
(vendor:1106 device:3057) 
via82cxxx_audio : VIA Technologies|VT82C686 [Apollo Super AC97/Audio] 
[MULTIMEDIA_AUDIO] (vendor:1106 device:3058 subv:1043 subd:8062) 
8139too         : Realtek|RTL-8139 [NETWORK_ETHERNET] (vendor:10ec 
device:8139) 
Card:Trident CyberBlade (generic): Trident Microsystems|CyberBlade/i1 
[DISPLAY_VGA] (vendor:1023 device:8500 subv:1043 subd:806e) 
unknown         : Virtual|Hub [] (vendor:0000 device:0000) 
unknown         : Virtual|Hub [] (vendor:0000 device:0000) 
 
------- Comment #8 From 2003-09-16 21:23:52 -------
Ещё, пожалуйста, покажите полный вывод dmesg при загрузке с включенным ACPI
(прежде всего интересует начальная часть инициализации ACPI - перед "ACPI: BIOS
passes blacklist"). Вероятно, эту плату/BIOS придётся добавить в blacklist, а
для этого нужна идентификационная информация.

Да, кстати, а версия BIOS свежая? В некоторых случаях неработоспособность ACPI
может исправляться обновлением BIOS (если в новой версии исправлены ошибки в
DSDT). Что за материнская плата?
------- Comment #9 From 2003-09-17 12:11:21 -------
Обновление БИОС помогло. Плата ASUS CUPLE-VM 
Старая версия биос: cup1003, новая: cup1004 
dmesg с новой версией биос 
vasy@vasy ~ $ dmesg 
Linux version 2.4.22-std-up-alt2 (builder@mash.office.altlinux.ru) (gcc 
version 2.96 20000731 (ALT Linux, build 2.96-alt3)) #1 Tue Sep 9 16:10:40 MSD 
2003 
BIOS-provided physical RAM map: 
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable) 
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved) 
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved) 
 BIOS-e820: 0000000000100000 - 000000000f7fc000 (usable) 
 BIOS-e820: 000000000f7fc000 - 000000000f7ff000 (ACPI data) 
 BIOS-e820: 000000000f7ff000 - 000000000f800000 (ACPI NVS) 
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved) 
247MB LOWMEM available. 
ACPI: have wakeup address 0xc0001000 
On node 0 totalpages: 63484 
zone(0): 4096 pages. 
zone(1): 59388 pages. 
zone(2): 0 pages. 
ACPI: RSDP (v000 ASUS                                      ) @ 0x000f6e00 
ACPI: RSDT (v001 ASUS   CUPLE_VM 0x30303031 MSFT 0x31313031) @ 0x0f7fc000 
ACPI: FADT (v001 ASUS   CUPLE_VM 0x30303031 MSFT 0x31313031) @ 0x0f7fc080 
ACPI: BOOT (v001 ASUS   CUPLE_VM 0x30303031 MSFT 0x31313031) @ 0x0f7fc040 
ACPI: DSDT (v001   ASUS CUPLE_VM 0x00001000 MSFT 0x0100000b) @ 0x00000000 
ACPI: MADT not present 
Kernel command line: BOOT_IMAGE=2422-std-up-2-crash rw root=306 
fbprogress=/dev/tty10 
Local APIC disabled by BIOS -- reenabling. 
Found and enabled local APIC! 
Initializing CPU#0 
Detected 902.074 MHz processor. 
Console: colour dummy device 80x25 
Calibrating delay loop... 1795.68 BogoMIPS 
Memory: 248580k/253936k available (1175k kernel code, 4968k reserved, 488k 
data, 128k init, 0k highmem) 
Dentry cache hash table entries: 32768 (order: 6, 262144 bytes) 
Inode cache hash table entries: 16384 (order: 5, 131072 bytes) 
Mount cache hash table entries: 512 (order: 0, 4096 bytes) 
Buffer cache hash table entries: 16384 (order: 4, 65536 bytes) 
Page-cache hash table entries: 65536 (order: 6, 262144 bytes) 
CPU: L1 I cache: 16K, L1 D cache: 16K 
CPU: L2 cache: 128K 
Intel machine check architecture supported. 
Intel machine check reporting enabled on CPU#0. 
CPU:     After generic, caps: 0383fbff 00000000 00000000 00000000 
CPU:             Common caps: 0383fbff 00000000 00000000 00000000 
CPU: Intel Celeron (Coppermine) stepping 0a 
Enabling fast FPU save and restore... done. 
Enabling unmasked SIMD FPU exception support... done. 
Checking 'hlt' instruction... OK. 
POSIX conformance testing by UNIFIX 
enabled ExtINT on CPU#0 
ESR value before enabling vector: 00000000 
ESR value after enabling vector: 00000000 
Using local APIC timer interrupts. 
calibrating APIC timer ... 
..... CPU clock speed is 902.0943 MHz. 
..... host bus clock speed is 100.2326 MHz. 
cpu: 0, clocks: 1002326, slice: 501163 
CPU0<T0:1002320,T1:501152,D:5,S:501163,C:1002326> 
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au) 
mtrr: detected mtrr type: Intel 
ACPI: Subsystem revision 20030813 
PCI: PCI BIOS revision 2.10 entry at 0xf0da0, last bus=1 
PCI: Using configuration type 1 
ACPI: Interpreter enabled 
ACPI: Using PIC for interrupt routing 
ACPI: System [ACPI] (supports S0 S1 S4 S5) 
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 *5 6 7 9 10 11 12 14 15) 
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 *10 11 12 14 15) 
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 *11 12 14 15) 
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 10 11 12 14 15, disabled) 
ACPI: PCI Root Bridge [PCI0] (00:00) 
PCI: Probing PCI hardware (bus 00) 
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT] 
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI1._PRT] 
PCI: Probing PCI hardware 
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 9 
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 10 
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 5 
PCI: Using ACPI for IRQ routing 
PCI: if you experience problems, try using option 'pci=noacpi' or even 
'acpi=off' 
PCI: Disabling Via external APIC routing 
PCI: Via IRQ fixup for 00:04.2, from 11 to 9 
PCI: Via IRQ fixup for 00:04.3, from 11 to 9 
Linux NET4.0 for Linux 2.4 
Based upon Swansea University Computer Society NET3.039 
Initializing RT netlink socket 
Starting kswapd 
VFS: Disk quotas vdquot_6.5.1 
vesafb: framebuffer at 0xf7000000, mapped to 0xd000a000, size 1875k 
vesafb: mode is 800x600x16, linelength=1600, pages=7 
vesafb: protected mode interface info at c000:66cc 
vesafb: scrolling: redraw 
vesafb: directcolor: size=0:5:6:5, shift=0:11:5:0 
Looking for splash picture.... found (800x600, 15525 bytes, v2). 
Console: switching to colour frame buffer device 82x26 
fb0: VESA VGA frame buffer device 
pty: 256 Unix98 ptys configured 
Serial driver version 5.05c (2001-07-08) with HUB-6 MANY_PORTS MULTIPORT 
SHARE_IRQ SERIAL_PCI enabled 
ttyS00 at 0x03f8 (irq = 4) is a 16550A 
ttyS01 at 0x02f8 (irq = 3) is a 16550A 
NET4: Frame Diverter 0.46 
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize 
Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4 
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx 
VP_IDE: IDE controller at PCI slot 00:04.1 
VP_IDE: chipset revision 6 
VP_IDE: not 100% native mode: will probe irqs later 
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx 
VP_IDE: VIA vt82c686b (rev 40) IDE UDMA100 controller on pci00:04.1 
    ide0: BM-DMA at 0xd800-0xd807, BIOS settings: hda:DMA, hdb:DMA 
    ide1: BM-DMA at 0xd808-0xd80f, BIOS settings: hdc:pio, hdd:pio 
hda: SAMSUNG SV1021H, ATA DISK drive 
hdb: LG CD-ROM CRD-8522B, ATAPI CD/DVD-ROM drive 
blk: queue c02edb80, I/O limit 4095Mb (mask 0xffffffff) 
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14 
hda: attached ide-disk driver. 
hda: host protected area => 1 
hda: 19932192 sectors (10205 MB) w/426KiB Cache, CHS=1240/255/63, UDMA(100) 
Partition check: 
 hda: hda1 < hda5 hda6 hda7 hda8 hda9 hda10 > 
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27 
md: Autodetecting RAID arrays. 
md: autorun ... 
md: ... autorun DONE. 
Initializing Cryptographic API 
NET4: Linux TCP/IP 1.0 for NET4.0 
IP Protocols: ICMP, UDP, TCP 
IP: routing cache hash table of 2048 buckets, 16Kbytes 
TCP: Hash tables configured (established 16384 bind 32768) 
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0. 
RAMDISK: Compressed image found at block 0 
Freeing initrd memory: 148k freed 
VFS: Mounted root (romfs filesystem) readonly. 
reiserfs: found format "3.5" with standard journal 
reiserfs: checking transaction log (device ide0(3,6)) ... 
for (ide0(3,6)) 
ide0(3,6):Using r5 hash to sort names 
VFS: Mounted root (reiserfs filesystem). 
Trying to move old root to /initrd ... failed 
Unmounting old root 
Trying to free ramdisk memory ... okay 
Freeing unused kernel memory: 128k freed 
Real Time Clock Driver v1.10e 
Adding Swap: 128452k swap-space (priority -1) 
i2c-core.o: i2c core module version 2.8.0 (20030714) 
i2c-viapro.o version 2.8.0 (20030714) 
i2c-proc.o version 2.8.0 (20030714) 
via686a.o version 2.8.0 (20030714) 
i2c-isa.o version 2.8.0 (20030714) 
reiserfs: found format "3.5" with standard journal 
reiserfs: checking transaction log (device ide0(3,9)) ... 
for (ide0(3,9)) 
ide0(3,9):Using r5 hash to sort names 
reiserfs: found format "3.5" with standard journal 
reiserfs: checking transaction log (device ide0(3,7)) ... 
for (ide0(3,7)) 
ide0(3,7):Using r5 hash to sort names 
reiserfs: found format "3.5" with standard journal 
reiserfs: checking transaction log (device ide0(3,8)) ... 
for (ide0(3,8)) 
ide0(3,8):Using r5 hash to sort names 
reiserfs: found format "3.5" with standard journal 
reiserfs: checking transaction log (device ide0(3,10)) ... 
for (ide0(3,10)) 
ide0(3,10):Using r5 hash to sort names 
usb.c: registered new driver usbdevfs 
usb.c: registered new driver hub 
usb-uhci.c: $Revision: 1.275 $ time 16:21:28 Sep  9 2003 
usb-uhci.c: High bandwidth mode enabled 
usb-uhci.c: USB UHCI at I/O 0xd400, IRQ 9 
usb-uhci.c: Detected 2 ports 
usb.c: new USB bus registered, assigned bus number 1 
hub.c: USB hub found 
hub.c: 2 ports detected 
usb-uhci.c: USB UHCI at I/O 0xd000, IRQ 9 
usb-uhci.c: Detected 2 ports 
usb.c: new USB bus registered, assigned bus number 2 
hub.c: USB hub found 
hub.c: 2 ports detected 
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver 
8139too Fast Ethernet driver 0.9.26 
divert: allocating divert_blk for eth0 
eth0: RealTek RTL8139 Fast Ethernet at 0xd06b9000, 00:e0:4c:00:20:5e, IRQ 9 
eth0:  Identified 8139 chip type 'RTL-8139C' 
eth0: Setting half-duplex based on auto-negotiated partner ability 0000. 
PCI: Setting latency timer of device 00:04.5 to 64 
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16) 
apm: overridden by ACPI. 
parport_pc: irq specified without base address.  Use 'io=' to specify one 
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE] 
parport_pc: Via 686A parallel port: io=0x378 
lp0: using parport0 (polling). 
Looking for splash picture.... found (800x600, 15525 bytes, v2). 
Splash status on console 0 changed to on 
 
 
 
------- Comment #10 From 2003-09-17 15:20:54 -------
Вывод dmesg нужен от _старой_ версии BIOS. Посмотрите в логах
(/var/log/syslog/messages*) - возможно, где-то осталась эта информация.
------- Comment #11 From 2003-09-17 16:09:49 -------
Да я подумал, что со строй версии надо, но уже после перепрошивки :((( 
Вот из логов, вроде оно: 
Sep 10 17:25:22 vasy kernel: Linux version 2.4.22-std-up-alt2 
(builder@mash.office.altlinux.ru) (gcc version 2.96 20000731 (ALT Linux 
, build 2.96-alt3)) #1 Tue Sep 9 16:10:40 MSD 2003 
Sep 10 17:25:22 vasy kernel: BIOS-provided physical RAM map: 
Sep 10 17:25:22 vasy kernel:  BIOS-e820: 0000000000000000 - 000000000009fc00 
(usable) 
Sep 10 17:25:22 vasy kernel:  BIOS-e820: 000000000009fc00 - 00000000000a0000 
(reserved) 
Sep 10 17:25:22 vasy kernel:  BIOS-e820: 00000000000f0000 - 0000000000100000 
(reserved) 
Sep 10 17:25:22 vasy kernel:  BIOS-e820: 0000000000100000 - 000000000f7fc000 
(usable) 
Sep 10 17:25:22 vasy kernel:  BIOS-e820: 000000000f7fc000 - 000000000f7ff000 
(ACPI data) 
Sep 10 17:25:22 vasy kernel:  BIOS-e820: 000000000f7ff000 - 000000000f800000 
(ACPI NVS) 
Sep 10 17:25:22 vasy kernel:  BIOS-e820: 00000000ffff0000 - 0000000100000000 
(reserved) 
Sep 10 17:25:22 vasy kernel: 247MB LOWMEM available. 
Sep 10 17:25:22 vasy kernel: On node 0 totalpages: 63484 
Sep 10 17:25:22 vasy kernel: zone(0): 4096 pages. 
Sep 10 17:25:22 vasy kernel: zone(1): 59388 pages. 
Sep 10 17:25:22 vasy kernel: zone(2): 0 pages. 
Sep 10 17:25:22 vasy kernel: ACPI: RSDP (v000 ASUS                              
) @ 0x000f6990 
Sep 10 17:25:22 vasy kernel: ACPI: RSDT (v001 ASUS   CUPLE_VM 0x30303031 MSFT 
0x31313031) @ 0x0f7fc000 
Sep 10 17:25:22 vasy kernel: ACPI: FADT (v001 ASUS   CUPLE_VM 0x30303031 MSFT 
0x31313031) @ 0x0f7fc080 
Sep 10 17:25:22 vasy kernel: ACPI: BOOT (v001 ASUS   CUPLE_VM 0x30303031 MSFT 
0x31313031) @ 0x0f7fc040 
Sep 10 17:25:22 vasy kernel: ACPI: DSDT (v001   ASUS CUPLE_VM 0x00001000 MSFT 
0x0100000b) @ 0x00000000 
Sep 10 17:25:22 vasy kernel: ACPI: MADT not present 
Sep 10 17:25:22 vasy kernel: Kernel command line: BOOT_IMAGE=2422-std-up-2 rw 
root=306 fbprogress=/dev/tty10 
Sep 10 17:25:22 vasy kernel: Local APIC disabled by BIOS -- reenabling. 
Sep 10 17:25:22 vasy kernel: Found and enabled local APIC! 
Sep 10 17:25:22 vasy kernel: Initializing CPU#0 
Sep 10 17:25:22 vasy kernel: Detected 902.074 MHz processor. 
Sep 10 17:25:22 vasy kernel: Console: colour dummy device 80x25 
Sep 10 17:25:22 vasy kernel: Calibrating delay loop... 1795.68 BogoMIPS 
Sep 10 17:25:22 vasy kernel: Memory: 248596k/253936k available (1175k kernel 
code, 4952k reserved, 488k data, 128k init, 0k highmem) 
Sep 10 17:25:22 vasy kernel: Dentry cache hash table entries: 32768 (order: 6, 
262144 bytes) 
Sep 10 17:25:22 vasy kernel: Inode cache hash table entries: 16384 (order: 5, 
131072 bytes) 
Sep 10 17:25:22 vasy kernel: Mount cache hash table entries: 512 (order: 0, 
4096 bytes) 
Sep 10 17:25:22 vasy kernel: Buffer cache hash table entries: 16384 (order: 4, 
65536 bytes) 
Sep 10 17:25:22 vasy kernel: Page-cache hash table entries: 65536 (order: 6, 
262144 bytes) 
Sep 10 17:25:22 vasy kernel: CPU: L1 I cache: 16K, L1 D cache: 16K 
Sep 10 17:25:22 vasy kernel: CPU: L2 cache: 128K 
Sep 10 17:25:22 vasy kernel: Intel machine check architecture supported. 
Sep 10 17:25:22 vasy kernel: Intel machine check reporting enabled on CPU#0. 
Sep 10 17:25:22 vasy kernel: CPU: Intel Celeron (Coppermine) stepping 0a 
Sep 10 17:25:22 vasy kernel: Enabling fast FPU save and restore... done. 
Sep 10 17:25:22 vasy kernel: Enabling unmasked SIMD FPU exception support... 
done. 
Sep 10 17:25:22 vasy kernel: Checking 'hlt' instruction... OK. 
Sep 10 17:25:22 vasy kernel: POSIX conformance testing by UNIFIX 
Sep 10 17:25:22 vasy kernel: enabled ExtINT on CPU#0 
Sep 10 17:25:22 vasy kernel: ESR value before enabling vector: 00000000 
Sep 10 17:25:22 vasy kernel: ESR value after enabling vector: 00000000 
Sep 10 17:25:22 vasy kernel: Using local APIC timer interrupts. 
Sep 10 17:25:22 vasy kernel: calibrating APIC timer ... 
Sep 10 17:25:22 vasy kernel: ..... CPU clock speed is 902.0943 MHz. 
Sep 10 17:25:22 vasy kernel: ..... host bus clock speed is 100.2326 MHz. 
Sep 10 17:25:22 vasy kernel: cpu: 0, clocks: 1002326, slice: 501163 
Sep 10 17:25:22 vasy kernel: CPU0<T0:1002320,T1:501152,D:5,S:501163,C:1002326> 
Sep 10 17:25:22 vasy kernel: mtrr: v1.40 (20010327) Richard Gooch 
(rgooch@atnf.csiro.au) 
Sep 10 17:25:22 vasy kernel: mtrr: detected mtrr type: Intel 
Sep 10 17:25:22 vasy kernel: ACPI: Subsystem revision 20030813 
Sep 10 17:25:22 vasy kernel: PCI: PCI BIOS revision 2.10 entry at 0xf0d20, 
last bus=1 
Sep 10 17:25:22 vasy kernel: PCI: Using configuration type 1 
Sep 10 17:25:22 vasy kernel: ACPI: Interpreter enabled 
Sep 10 17:25:22 vasy kernel: ACPI: Using PIC for interrupt routing 
Sep 10 17:25:22 vasy kernel: ACPI: System [ACPI] (supports S0 S1 S4 S5) 
Sep 10 17:25:22 vasy kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 
*9 10 11 12 14 15) 
Sep 10 17:25:22 vasy kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 
*10 11 12 14 15) 
Sep 10 17:25:22 vasy kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 
10 *11 12 14 15) 
Sep 10 17:25:22 vasy kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 
10 11 12 14 15, disabled) 
Sep 10 17:25:22 vasy kernel: ACPI: PCI Root Bridge [PCI0] (00:00) 
Sep 10 17:25:22 vasy kernel: PCI: Probing PCI hardware (bus 00) 
Sep 10 17:25:22 vasy kernel: PCI: Probing PCI hardware 
Sep 10 17:25:22 vasy kernel: ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 5 
Sep 10 17:25:22 vasy kernel: ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 10 
Sep 10 17:25:22 vasy kernel: ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 9 
Sep 10 17:25:22 vasy kernel: PCI: Using ACPI for IRQ routing 
Sep 10 17:25:22 vasy kernel: PCI: if you experience problems, try using option 
'pci=noacpi' or even 'acpi=off' 
Sep 10 17:25:22 vasy kernel: PCI: Disabling Via external APIC routing 
Sep 10 17:25:22 vasy kernel: PCI: Via IRQ fixup for 00:04.2, from 11 to 5 
Sep 10 17:25:22 vasy kernel: PCI: Via IRQ fixup for 00:04.3, from 11 to 5 
Sep 10 17:25:22 vasy kernel: Linux NET4.0 for Linux 2.4 
Sep 10 17:25:22 vasy kernel: Based upon Swansea University Computer Society 
NET3.039 
Sep 10 17:25:22 vasy kernel: Initializing RT netlink socket 
Sep 10 17:25:22 vasy kernel: Starting kswapd 
Sep 10 17:25:22 vasy kernel: VFS: Disk quotas vdquot_6.5.1 
Sep 10 17:25:22 vasy kernel: vesafb: framebuffer at 0xf7000000, mapped to 
0xd000a000, size 1875k 
Sep 10 17:25:22 vasy kernel: vesafb: mode is 800x600x16, linelength=1600, 
pages=7 
Sep 10 17:25:22 vasy kernel: vesafb: protected mode interface info at 
c000:66cc 
Sep 10 17:25:22 vasy kernel: vesafb: scrolling: redraw 
Sep 10 17:25:22 vasy kernel: vesafb: directcolor: size=0:5:6:5, shift=0:11:5:0 
Sep 10 17:25:22 vasy kernel: Looking for splash picture... no good signature 
found. 
Sep 10 17:25:22 vasy kernel: Console: switching to colour frame buffer device 
100x37 
Sep 10 17:25:22 vasy kernel: fb0: VESA VGA frame buffer device 
Sep 10 17:25:22 vasy kernel: pty: 256 Unix98 ptys configured 
Sep 10 17:25:22 vasy kernel: Serial driver version 5.05c (2001-07-08) with 
HUB-6 MANY_PORTS MULTIPORT SHARE_IRQ SERIAL_PCI enabled 
Sep 10 17:25:22 vasy kernel: ttyS00 at 0x03f8 (irq = 4) is a 16550A 
Sep 10 17:25:22 vasy kernel: ttyS01 at 0x02f8 (irq = 3) is a 16550A 
Sep 10 17:25:22 vasy kernel: NET4: Frame Diverter 0.46 
Sep 10 17:25:22 vasy kernel: RAMDISK driver initialized: 16 RAM disks of 4096K 
size 1024 blocksize 
Sep 10 17:25:22 vasy kernel: Uniform Multi-Platform E-IDE driver Revision: 
7.00beta4-2.4 
Sep 10 17:25:22 vasy kernel: ide: Assuming 33MHz system bus speed for PIO 
modes; override with idebus=xx 
Sep 10 17:25:22 vasy kernel: VP_IDE: IDE controller at PCI slot 00:04.1 
Sep 10 17:25:22 vasy kernel: VP_IDE: chipset revision 6 
Sep 10 17:25:22 vasy kernel: VP_IDE: not 100%% native mode: will probe irqs 
later 
Sep 10 17:25:22 vasy kernel: ide: Assuming 33MHz system bus speed for PIO 
modes; override with idebus=xx 
Sep 10 17:25:22 vasy kernel: VP_IDE: VIA vt82c686b (rev 40) IDE UDMA100 
controller on pci00:04.1 
Sep 10 17:25:22 vasy kernel:     ide0: BM-DMA at 0xd800-0xd807, BIOS settings: 
hda:DMA, hdb:DMA 
Sep 10 17:25:22 vasy kernel:     ide1: BM-DMA at 0xd808-0xd80f, BIOS settings: 
hdc:pio, hdd:pio 
Sep 10 17:25:22 vasy kernel: hda: SAMSUNG SV1021H, ATA DISK drive 
Sep 10 17:25:22 vasy kernel: hdb: LG CD-ROM CRD-8522B, ATAPI CD/DVD-ROM drive 
Sep 10 17:25:22 vasy kernel: blk: queue c02edb80, I/O limit 4095Mb (mask 
0xffffffff) 
Sep 10 17:25:22 vasy kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14 
Sep 10 17:25:22 vasy kernel: hda: attached ide-disk driver. 
Sep 10 17:25:22 vasy kernel: hda: host protected area => 1 
Sep 10 17:25:22 vasy kernel: hda: 19932192 sectors (10205 MB) w/426KiB Cache, 
CHS=1240/255/63, UDMA(100) 
Sep 10 17:25:22 vasy kernel: Partition check: 
Sep 10 17:25:22 vasy kernel:  hda: hda1 < hda5 hda6 hda7 hda8 hda9 hda10 > 
Sep 10 17:25:22 vasy kernel: md: md driver 0.90.0 MAX_MD_DEVS=256, 
MD_SB_DISKS=27 
Sep 10 17:25:22 vasy kernel: md: Autodetecting RAID arrays. 
Sep 10 17:25:22 vasy kernel: md: autorun ... 
Sep 10 17:25:22 vasy kernel: md: ... autorun DONE. 
Sep 10 17:25:22 vasy kernel: Initializing Cryptographic API 
Sep 10 17:25:22 vasy kernel: NET4: Linux TCP/IP 1.0 for NET4.0 
Sep 10 17:25:22 vasy kernel: IP Protocols: ICMP, UDP, TCP 
Sep 10 17:25:22 vasy kernel: IP: routing cache hash table of 2048 buckets, 
16Kbytes 
Sep 10 17:25:22 vasy kernel: TCP: Hash tables configured (established 16384 
bind 32768) 
Sep 10 17:25:22 vasy kernel: NET4: Unix domain sockets 1.0/SMP for Linux 
NET4.0. 
Sep 10 17:25:22 vasy kernel: RAMDISK: Compressed image found at block 0 
Sep 10 17:25:22 vasy kernel: Freeing initrd memory: 132k freed 
Sep 10 17:25:22 vasy kernel: VFS: Mounted root (romfs filesystem) readonly. 
Sep 10 17:25:22 vasy kernel: reiserfs: found format "3.5" with standard 
journal 
Sep 10 17:25:22 vasy kernel: reiserfs: checking transaction log (device 
ide0(3,6)) ... 
Sep 10 17:25:22 vasy kernel: for (ide0(3,6)) 
Sep 10 17:25:22 vasy kernel: reiserfs: replayed 9 transactions in 2 seconds 
Sep 10 17:25:22 vasy kernel: ide0(3,6):Using r5 hash to sort names 
Sep 10 17:25:22 vasy kernel: VFS: Mounted root (reiserfs filesystem). 
Sep 10 17:25:22 vasy kernel: Trying to move old root to /initrd ... failed 
Sep 10 17:25:22 vasy kernel: Unmounting old root 
Sep 10 17:25:22 vasy kernel: Trying to free ramdisk memory ... okay 
Sep 10 17:25:22 vasy kernel: Freeing unused kernel memory: 128k freed 
Sep 10 17:25:22 vasy kernel: Real Time Clock Driver v1.10e 
Sep 10 17:25:22 vasy kernel: Adding Swap: 128452k swap-space (priority -1) 
Sep 10 17:25:22 vasy kernel: i2c-core.o: i2c core module version 2.8.0 
(20030714) 
Sep 10 17:25:22 vasy kernel: i2c-viapro.o version 2.8.0 (20030714) 
Sep 10 17:25:22 vasy kernel: i2c-proc.o version 2.8.0 (20030714) 
Sep 10 17:25:22 vasy kernel: via686a.o version 2.8.0 (20030714) 
Sep 10 17:25:22 vasy kernel: i2c-isa.o version 2.8.0 (20030714) 
Sep 10 17:25:22 vasy kernel: reiserfs: found format "3.5" with standard 
journal 
Sep 10 17:25:22 vasy kernel: reiserfs: checking transaction log (device 
ide0(3,9)) ... 
Sep 10 17:25:22 vasy kernel: for (ide0(3,9)) 
Sep 10 17:25:22 vasy kernel: ide0(3,9):Using r5 hash to sort names 
Sep 10 17:25:22 vasy kernel: reiserfs: found format "3.5" with standard 
journal 
Sep 10 17:25:22 vasy kernel: reiserfs: checking transaction log (device 
ide0(3,7)) ... 
Sep 10 17:25:22 vasy kernel: for (ide0(3,7)) 
Sep 10 17:25:22 vasy kernel: reiserfs: replayed 1 transactions in 0 seconds 
Sep 10 17:25:22 vasy kernel: ide0(3,7):Using r5 hash to sort names 
Sep 10 17:25:22 vasy kernel: reiserfs: found format "3.5" with standard 
journal 
Sep 10 17:25:22 vasy kernel: reiserfs: checking transaction log (device 
ide0(3,8)) ... 
Sep 10 17:25:22 vasy kernel: for (ide0(3,8)) 
Sep 10 17:25:22 vasy kernel: reiserfs: replayed 2 transactions in 0 seconds 
Sep 10 17:25:22 vasy kernel: ide0(3,8):Using r5 hash to sort names 
Sep 10 17:25:22 vasy kernel: reiserfs: found format "3.5" with standard 
journal 
Sep 10 17:25:22 vasy kernel: reiserfs: checking transaction log (device 
ide0(3,10)) ... 
Sep 10 17:25:22 vasy kernel: for (ide0(3,10)) 
Sep 10 17:25:22 vasy kernel: reiserfs: replayed 2 transactions in 0 seconds 
Sep 10 17:25:22 vasy kernel: ide0(3,10):Using r5 hash to sort names 
------- Comment #12 From 2003-09-17 17:39:15 -------
Мда, а блэклистить-то нечего - в новой версии BIOS не поменяли oem_revision в
таблицах ACPI. А информацию DMI это ядро не выдаёт (а надо бы...).

У вас есть возможность загрузить какое-нибудь ядро 2.4.20-alt* (например, то,
которое идёт с Master/Junior 2.2)? От него нужен опять-таки вывод dmesg -
информация такого вида:

DMI 2.3 present.
31 structures occupying 1044 bytes.
DMI table at 0x000F05F0.
BIOS Vendor: American Megatrends Inc.
BIOS Version: 62710
BIOS Release: 12/24/2001
System Vendor:                                 
Product Name:                                 
Version: 00000000
Serial Number: 00000000
Board Vendor: Gigabyte Technology Co., Ltd.
Board Name: 7ZXE
Board Version: 1.x
Kernel command line: root=/dev/hda6

Т.е. начиная с "DMI x.x present" и до "Kernel command line". Если сохранились
старые логи, попробуйте выкопать из них аналогичную информацию для старой
версии
BIOS.
------- Comment #13 From 2003-09-18 12:24:16 -------
Это из логов: 
Sep 11 11:42:52 vasy kernel: DMI 2.3 present. 
Sep 11 11:42:52 vasy kernel: 37 structures occupying 1126 bytes. 
Sep 11 11:42:52 vasy kernel: DMI table at 0x000F29B0. 
Sep 11 11:42:52 vasy kernel: BIOS Vendor: Award Software, Inc. 
Sep 11 11:42:52 vasy kernel: BIOS Version: ASUS CUPLE-VM ACPI BIOS Revision 
1003 
Sep 11 11:42:52 vasy kernel: BIOS Release: 08/21/2001 
Sep 11 11:42:52 vasy kernel: System Vendor: System Manufacturer 
Sep 11 11:42:52 vasy kernel: Product Name: System Name 
Sep 11 11:42:52 vasy kernel: Version: System Version 
Sep 11 11:42:52 vasy kernel: Serial Number: SYS-1234567890 
Sep 11 11:42:52 vasy kernel: Board Vendor: ASUSTeK Computer INC. 
Sep 11 11:42:52 vasy kernel: Board Name: CUPLE-VM 
Sep 11 11:42:52 vasy kernel: Board Version: REV 1.xx 
Sep 11 11:42:52 vasy kernel: Kernel command line: BOOT_IMAGE=2420-alt5-up rw 
roo 
t=306 fbprogress=/dev/tty10 
 
------- Comment #14 From 2003-09-18 12:33:39 -------
это свежее: 
DMI 2.3 present. 
37 structures occupying 1126 bytes. 
DMI table at 0x000F2A40. 
BIOS Vendor: Award Software, Inc. 
BIOS Version: ASUS CUPLE-VM ACPI BIOS Revision 1004 
BIOS Release: 06/17/2002 
System Vendor: System Manufacturer 
Product Name: System Name 
Version: System Version 
Serial Number: SYS-1234567890 
Board Vendor: ASUSTeK Computer INC. 
Board Name: CUPLE-VM 
Board Version: REV 1.xx 
Kernel command line: BOOT_IMAGE=2420-alt5-up rw root=306 fbprogress=/dev/tty10 
 
------- Comment #15 From 2003-09-24 22:04:23 -------
просьба проверить на 2.4.22-alt4
------- Comment #16 From 2003-09-25 12:02:50 -------
Работает. Но и alt2 работало после обновления биоса. 
------- Comment #17 From 2003-09-26 15:09:07 -------
тогда закройте баг (старую версию BIOS я добавил в blacklist, чтобы на неё
больше не наступали).